
  var quiz = [
{
  "question": "Βρείτε τη σωστή πρόταση: ",
  "choices": ["Σε ένα σύστημα ηλεκτρονικής ψηφοφορίας, ο ψηφοφόρος μπορεί να τροποποιήσει την ψήφο του.", 
  "Ο ψηφοφόρος μπορεί να αποδείξει ότι ψήφισε με συγκεκριμένο τρόπο. ", 
  "Ο ψηφοφόρος μπορεί να πιστοποιήσει εάν η ψήφος του έχει καταμετρηθεί. ",
  "Ο ψηφοφόρος μπορεί να ψηφίσει παραπάνω από μία φορές στην ίδια ψηφοφορία."],
  "correct": "Ο ψηφοφόρος μπορεί να πιστοποιήσει εάν η ψήφος του έχει καταμετρηθεί."
},

{
  "question": "Ο ψηφοφόρος διασφαλίζεται από τον εξαναγκασμό, τον επηρεασμό ή την εξαγορά της ψήφου του όταν:",
  "choices": ["Ψηφίζει από το σπίτι του.", 
  "Ψηφίζει από ειδικά εκλογικά κέντρα σε ειδικές θέσεις.", 
  "Οι φάσεις της ψηφοφορίας και της καταμέτρησης δεν είναι διακριτές.", 
  "Στη διάρκεια της ψηφοφορίας επιτρέπεται να παρεισφρέουν διαφημιστικά μηνύματα υποψηφίων."],
  "correct": "Ψηφίζει από ειδικά εκλογικά κέντρα σε ειδικές θέσεις."
},

{
  "question": "Ποια από τα παρακάτω δεν είναι χαρακτηριστικά μιας ηλεκτρονικής δημοσκόπησης;",
  "choices": ["Η βελτίωση της πρόσβασης των ομάδων πίεσης στις πολιτικές αποφάσεις. ", 
  "Η ενίσχυση των αποκλεισμών από τις δημοκρατικές διαδικασίες. ", 
  "Η βελτίωση της εκπαίδευσης σε θέματα διαδικτύου.", 
  "Η δυνατότητα αύξησης της συμμετοχής των πολιτών στη λήψη αποφάσεων."],
  "correct": "Η δυνατότητα αύξησης της συμμετοχής των πολιτών στη λήψη αποφάσεων. "
},


{
  "question": "Ποιο από τα παρακάτω αποτελεί μοντέλο ηλεκτρονικής ψηφοφορίας;",
  "choices": ["Mixnet", 
  "VoteHere", 
  "Scanvote", 
  "Sensus"],
  "correct": "Mixnet"
}



];

  var content = $("content"),
  questionContainer = $("question"),
  choicesContainer = $("choices"),
  scoreContainer = $("score"),
  submitBtn = $("submit");
  nextQuestion = $("button.next_question");

// μεταβλητές
var currentQuestion = 0,
	score = 0,
	askingQuestion = true;
	function $(id) { //αντί για την document.getElementById βάζω τη συνάρτηση για να καλώ αυτήν
	return document.getElementById(id);
}

function askQuestion() {
	var choices = quiz[currentQuestion].choices,
	choicesHtml = "";

  // Loop τις επιλογές και δημιουργία radio buttons για καθεμία
  for (var i = 0; i < choices.length; i++) {
    choicesHtml += "<input type='radio' name='quiz" + currentQuestion +
      "' id='choice" + (i + 1) +
      "' value='" + choices[i] + "'>" +
      " <label for='choice" + (i + 1) + "'>" + choices[i] + "</label><br>";
  }

  // Φορτώνω την ερώτηση
  questionContainer.textContent = (currentQuestion + 1) + ". " + quiz[currentQuestion].question;

	console.log(choicesHtml);

  // Φορτώνω τις επιλογές
  choicesContainer.innerHTML = choicesHtml;

  // Πρώτη ερώτηση
  if (currentQuestion === 0) {
    scoreContainer.textContent = "Αποτελέσματα: 0 / " +

      quiz.length ;
    submitBtn.textContent = "Υποβολή απάντησης";
  }
}

function checkAnswer() {
  // έλεγχος αν κάνουμε ερώτηση ή προχωράμε στην επόμενη 
  if (askingQuestion) {
    submitBtn.textContent = "Επόμενη ερώτηση";
    askingQuestion = false;

    // ποιο radio button επιλέχθηκε
    var userpick,
      correctIndex,
      radios = document.getElementsByName("quiz" + currentQuestion);
    for (var i = 0; i < radios.length; i++) {
      if (radios[i].checked) { // εάν επιλέχθηκε αυτό το radio button
        userpick = radios[i].value;
      }

      // Index σωστών απαντήσεων
      if (radios[i].value == quiz[currentQuestion].correct) {
        correctIndex = i;
      }
    }

    //Τι εμφανίζεται αν δόθηκε σωστή ή λάθος απάντηση (χρωματισμός απαντήσεων)
    var labelStyle = document.getElementsByTagName("label")[correctIndex].style;
    labelStyle.fontWeight = "bold";
    if (userpick == quiz[currentQuestion].correct) {
      score++;
      labelStyle.color = "#00b5a5";
    } else {
      labelStyle.color = "#ff5f5f";
    }

    scoreContainer.textContent = "Συνολικά αποτελέσματα: " + " Έχετε απαντήσει " + score + " σωστές απαντήσεις " + "από " + 
      quiz.length + " συνολικές ερωτήσεις.";
  } else { // move to next question
    // setting up so user can ask a question
    askingQuestion = true;
    // change button text back to "Submit Answer"
    submitBtn.textContent = "Υποβολή απάντησης";
    // if we're not on last question, increase question number
    if (currentQuestion < quiz.length - 1) {
      currentQuestion++;
      askQuestion();
    } else {
      showFinalResults();
    }
  }
}
 
function showFinalResults() {
  content.innerHTML = "<h2>Oλοκληρώσατε τις ερωτήσεις αυτοαξιολόγησης!</h2>" +
    "<h2>Παρακάτω βρίσκονται τα αποτελέσματά σας:</h2>" +
    "<h2>" + "Έχετε απαντήσει σωστά σε " + score + " από " + quiz.length + " ερωτήσεις.</h2> " +
    "<h2>" + "Ποσοστό επιτυχίας: " + Math.round(score / quiz.length * 100) + "%<h2>";
}

 window.addEventListener("load", askQuestion, false);
 submitBtn.addEventListener("click", checkAnswer, false);


(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})
(window,document,'script','http://www.google-analytics.com/analytics.js','ga');
ga('create', 'UA-1656750-34', 'jsbin.com');
ga('require', 'linkid', 'linkid.js');
ga('require', 'displayfeatures');
ga('send', 'pageview');